Get well entities by well guids

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Query
page_sizeinteger, (int32)

Max number of entities to include in current search (max 9999)

Default:9999
Headers
slb-partition-idstringrequired

Slb partition id

Body

Well guids to get by

Array of strings
curl -i -X POST \
  'https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/wells/get-by-well-guids?page_size=9999' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    "string"
  ]'

Responses

OK

Body
current_matchesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.WellSearchDto)
current_match_countinteger, (int32)
excluded_matchesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EntityViolation`1[[Slb.DrillPlan.OffsetDataIngestion.Model.Dto.WellSearchDto, Slb.DrillPlan.OffsetDataIngestion.Model, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]])
total_match_countinteger, (int64)
next_page_idstring or null
action_succeededboolean
master_errorstring or null
dependent_action_errorsArray of strings or null
action_keystring or null
Response
{
  "current_matches": [
    {
      "activity_count": 0,
      "risk_count": 0,
      "casing_count": 0,
      "formation_top_count": 0,
      "hash_code": "string",
      "rig_count": 0,
      "section_count": 0,
      "casings": [
        {
          "type": "string",
          "od": 0.1,
          "depth_from": 0.1,
          "depth_to": 0.1,
          "section_id": "string"
        }
      ],
      "formation_tops": [
        {
          "formation_name": "string",
          "top_md": 0.1,
          "top_tvd": 0.1
        }
      ],
      "rigs": [
        {
          "type": "string",
          "name": "string",
          "release_date": "2019-08-24T14:15:22Z"
        }
      ],
      "sections": [
        {
          "type": "string",
          "size": 0.1,
          "depth_from": 0.1,
          "depth_to": 0.1,
          "section_summary": "string",
          "section_name": "string",
          "section_tag": "string",
          "section_id": "string"
        }
      ],
      "physical_container_name": "string",
      "creation_utc_timestamp": "2019-08-24T14:15:22Z",
      "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
      "version": 0,
      "id": "string",
      "along_hole_departure": 0.1,
      "area": "string",
      "clean_time": 0.1,
      "completion_type": "string",
      "country": "string",
      "county": "string",
      "data_source": "string",
      "elevation_ground": 0.1,
      "elevation_kb": 0.1,
      "field": "string",
      "geodetic_system": "string",
      "well_guid": "string",
      "is_offshore": true,
      "location": {
        "latitude": 0.1,
        "longitude": 0.1
      },
      "max_inc": 0.1,
      "name": "string",
      "north_south": 0.1,
      "spud_date": "2019-08-24T14:15:22Z",
      "state": "string",
      "target_formation": "string",
      "total_depth": 0.1,
      "total_time": 0.1,
      "uwi": "string",
      "well_type": "string",
      "well_design": "string",
      "well_purpose": "string",
      "well_fluid": "string"
    }
  ],
  "current_match_count": 0,
  "excluded_matches": [
    {
      "source": {
        "activity_count": 0,
        "risk_count": 0,
        "casing_count": 0,
        "formation_top_count": 0,
        "hash_code": "string",
        "rig_count": 0,
        "section_count": 0,
        "casings": [
          {
            "type": "string",
            "od": 0.1,
            "depth_from": 0.1,
            "depth_to": 0.1,
            "section_id": "string"
          }
        ],
        "formation_tops": [
          {
            "formation_name": "string",
            "top_md": 0.1,
            "top_tvd": 0.1
          }
        ],
        "rigs": [
          {
            "type": "string",
            "name": "string",
            "release_date": "2019-08-24T14:15:22Z"
          }
        ],
        "sections": [
          {
            "type": "string",
            "size": 0.1,
            "depth_from": 0.1,
            "depth_to": 0.1,
            "section_summary": "string",
            "section_name": "string",
            "section_tag": "string",
            "section_id": "string"
          }
        ],
        "physical_container_name": "string",
        "creation_utc_timestamp": "2019-08-24T14:15:22Z",
        "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
        "version": 0,
        "id": "string",
        "along_hole_departure": 0.1,
        "area": "string",
        "clean_time": 0.1,
        "completion_type": "string",
        "country": "string",
        "county": "string",
        "data_source": "string",
        "elevation_ground": 0.1,
        "elevation_kb": 0.1,
        "field": "string",
        "geodetic_system": "string",
        "well_guid": "string",
        "is_offshore": true,
        "location": {
          "latitude": 0.1,
          "longitude": 0.1
        },
        "max_inc": 0.1,
        "name": "string",
        "north_south": 0.1,
        "spud_date": "2019-08-24T14:15:22Z",
        "state": "string",
        "target_formation": "string",
        "total_depth": 0.1,
        "total_time": 0.1,
        "uwi": "string",
        "well_type": "string",
        "well_design": "string",
        "well_purpose": "string",
        "well_fluid": "string"
      },
      "violations": [
        {
          "fatal_violation": true,
          "details": "string"
        }
      ]
    }
  ],
  "total_match_count": 0,
  "next_page_id": "string",
  "action_succeeded": true,
  "master_error": "string",
  "dependent_action_errors": [
    "string"
  ],
  "action_key": "string"
}